﻿using System.Web.Mvc;
using Sitecore.Foundation.SitecoreExtensions.Attributes;
using Platform.Feature.WebApi.Repositories;

namespace Platform.Feature.WebApi.Controllers
{
    // to be called as: http://careers.dev.local/api/vacancies/get
    // that ins set in RouteConfig wihin Infrastructure folder

    public class VacanciesController : Controller
    {
        private readonly IRepository _repository;

        public VacanciesController(IRepository repository) //: base(repository)
        {
            _repository = repository;
        }

        //[HttpPost]
        [SkipAnalyticsTracking]
        public JsonResult Get()
        {
            _repository.GetAll();
            return new JsonResult {Data = _repository.GetAll(), JsonRequestBehavior = JsonRequestBehavior.AllowGet};
        }
    }
}